AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- ClientsQueue

## Index

### Accessors

- allClients

### Methods

- get
- remove

## Accessors

### allClients

allClients:

- Defined in pubsub/src/Providers/MqttOverWSProvider.ts:58

## Methods

### get

- get(clientId: string, clientFactory: function): Promise<any>

- - Defined in pubsub/src/Providers/MqttOverWSProvider.ts:45

  #### Parameters

  - ##### clientId: string

  - ##### clientFactory: function

    - - (string: any): Promise<any>

      - #### Parameters

        - ##### string: any

        #### Returns Promise<any>

### remove

- remove(clientId: any): void

- - Defined in pubsub/src/Providers/MqttOverWSProvider.ts:60

  #### Parameters

  - ##### clientId: any

  #### Returns void